
Foreman - Bug #1374

IP overwritten if you select a subnet

12/06/2011 04:38 PM - Ashley Penney

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Web Interface   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In the case where:

You run puppetd -tv to bring a box into foreman.

You click manage.

You go to network.

It has an IP in the field.

You select the associated subnet.

It should NOT try to go off to DHCP and update that IP.  Chances are that's the IP I want it to remain on!

Hopefully those steps are reproducible, if not let me know and I'll find alternative steps that show the same thing.

Related issues:

Related to Foreman - Bug #727: next_ip function always overwrites the ip addr... Duplicate 03/12/2011

Associated revisions

Revision fc782b06 - 12/25/2011 03:37 AM - Paul Kelly

fixes #1374 - Overwriting of valid IP when subnet selected

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 12/20/2011 07:02 AM - Ohad Levy

- Target version set to 1.0

#2 - 12/25/2011 03:46 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Paul Kelly

#3 - 12/25/2011 03:48 AM - Paul Kelly

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset fc782b066f61202f0de203b32741c2275e199bd3.
